--- old/usr/src/uts/sun4u/serengeti/cheetah/Makefile	Thu Aug  8 11:24:50 2019
+++ new/usr/src/uts/sun4u/serengeti/cheetah/Makefile	Thu Aug  8 11:24:50 2019
@@ -78,7 +78,7 @@
 ASFLAGS +=  -DCHEETAH
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-clobbered
 
--- old/usr/src/uts/sun4u/serengeti/cheetahplus/Makefile	Thu Aug  8 11:24:51 2019
+++ new/usr/src/uts/sun4u/serengeti/cheetahplus/Makefile	Thu Aug  8 11:24:51 2019
@@ -81,7 +81,7 @@
 	    -DCPU_IMP_ECACHE_ASSOC -DCPU_IMP_DUAL_PAGESIZE -DCPU_IMP_AFSR_EXT
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-clobbered
--- old/usr/src/uts/sun4u/serengeti/platmod/Makefile	Thu Aug  8 11:24:53 2019
+++ new/usr/src/uts/sun4u/serengeti/platmod/Makefile	Thu Aug  8 11:24:54 2019
@@ -76,7 +76,7 @@
 #
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-unused-variable
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/serengeti/sbdp/Makefile	Thu Aug  8 11:24:54 2019
+++ new/usr/src/uts/sun4u/serengeti/sbdp/Makefile	Thu Aug  8 11:24:54 2019
@@ -70,7 +70,7 @@
 LDFLAGS	+= -dy -Ndrv/sgsbbc
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-function
 CERRWARN += -_gcc=-Wno-unused-variable
 
--- old/usr/src/uts/sun4u/serengeti/sgcn/Makefile	Thu Aug  8 11:24:54 2019
+++ new/usr/src/uts/sun4u/serengeti/sgcn/Makefile	Thu Aug  8 11:24:54 2019
@@ -69,7 +69,7 @@
 LDFLAGS += -dy -Ndrv/sgsbbc
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/serengeti/sghsc/Makefile	Thu Aug  8 11:24:55 2019
+++ new/usr/src/uts/sun4u/serengeti/sghsc/Makefile	Thu Aug  8 11:24:55 2019
@@ -69,7 +69,7 @@
 #
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-type-limits
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 # Turn on doubleword alignment for 64 bit registers
--- old/usr/src/uts/sun4u/serengeti/sgsbbc/Makefile	Thu Aug  8 11:24:55 2019
+++ new/usr/src/uts/sun4u/serengeti/sgsbbc/Makefile	Thu Aug  8 11:24:55 2019
@@ -73,7 +73,7 @@
 CERRWARN += -_gcc=-Wno-unused-function
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/serengeti/unix/Makefile	Thu Aug  8 11:24:56 2019
+++ new/usr/src/uts/sun4u/serengeti/unix/Makefile	Thu Aug  8 11:24:56 2019
@@ -114,7 +114,7 @@
 CFLAGS += $(CCVERBOSE) -dalign
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-char-subscripts
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
--- old/usr/src/uts/sun4u/serrano/Makefile	Thu Aug  8 11:24:57 2019
+++ new/usr/src/uts/sun4u/serrano/Makefile	Thu Aug  8 11:24:57 2019
@@ -129,6 +129,6 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-clobbered
--- old/usr/src/uts/sun4u/sf/Makefile	Thu Aug  8 11:24:58 2019
+++ new/usr/src/uts/sun4u/sf/Makefile	Thu Aug  8 11:24:58 2019
@@ -78,7 +78,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-value
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/sha1/Makefile	Thu Aug  8 11:24:59 2019
+++ new/usr/src/uts/sun4u/sha1/Makefile	Thu Aug  8 11:24:59 2019
@@ -67,7 +67,7 @@
 CFLAGS += -DVIS_SHA1
 LINTFLAGS	+= -I$(COM_DIR)
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/spitfire/Makefile	Thu Aug  8 11:24:59 2019
+++ new/usr/src/uts/sun4u/spitfire/Makefile	Thu Aug  8 11:24:59 2019
@@ -86,7 +86,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 LINTTAGS	+= -erroff=E_BAD_FORMAT_STR2
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/su/Makefile	Thu Aug  8 11:25:00 2019
+++ new/usr/src/uts/sun4u/su/Makefile	Thu Aug  8 11:25:00 2019
@@ -70,7 +70,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/sunfire/ac/Makefile	Thu Aug  8 11:25:02 2019
+++ new/usr/src/uts/sun4u/sunfire/ac/Makefile	Thu Aug  8 11:25:02 2019
@@ -58,7 +58,7 @@
 # lint pass one enforcement
 #
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 # Turn on doubleword alignment for 64 bit registers
--- old/usr/src/uts/sun4u/sunfire/sysctrl/Makefile	Thu Aug  8 11:25:04 2019
+++ new/usr/src/uts/sun4u/sunfire/sysctrl/Makefile	Thu Aug  8 11:25:04 2019
@@ -60,7 +60,7 @@
 #
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 # Turn on doubleword alignment for 64 bit registers
--- old/usr/src/uts/sun4u/tazmo/envctrl/Makefile	Thu Aug  8 11:25:06 2019
+++ new/usr/src/uts/sun4u/tazmo/envctrl/Makefile	Thu Aug  8 11:25:07 2019
@@ -61,7 +61,7 @@
 #
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-type-limits
 
 #
--- old/usr/src/uts/sun4u/todds1287/Makefile	Thu Aug  8 11:25:08 2019
+++ new/usr/src/uts/sun4u/todds1287/Makefile	Thu Aug  8 11:25:08 2019
@@ -67,7 +67,7 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/unix/Makefile	Thu Aug  8 11:25:08 2019
+++ new/usr/src/uts/sun4u/unix/Makefile	Thu Aug  8 11:25:09 2019
@@ -121,7 +121,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-char-subscripts
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
--- old/usr/src/uts/sun4u/upa64s/Makefile	Thu Aug  8 11:25:09 2019
+++ new/usr/src/uts/sun4u/upa64s/Makefile	Thu Aug  8 11:25:09 2019
@@ -68,7 +68,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/us/Makefile	Thu Aug  8 11:25:09 2019
+++ new/usr/src/uts/sun4u/us/Makefile	Thu Aug  8 11:25:09 2019
@@ -76,7 +76,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4u/vis/Makefile	Thu Aug  8 11:25:09 2019
+++ new/usr/src/uts/sun4u/vis/Makefile	Thu Aug  8 11:25:09 2019
@@ -60,7 +60,7 @@
 # lint pass one enforcement
 #
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/uts/sun4u/zs/Makefile	Thu Aug  8 11:25:10 2019
+++ new/usr/src/uts/sun4u/zs/Makefile	Thu Aug  8 11:25:10 2019
@@ -78,7 +78,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4v/bge/Makefile	Thu Aug  8 11:25:10 2019
+++ new/usr/src/uts/sun4v/bge/Makefile	Thu Aug  8 11:25:10 2019
@@ -76,7 +76,7 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-variable
--- old/usr/src/uts/sun4v/bootdev/Makefile	Thu Aug  8 11:25:10 2019
+++ new/usr/src/uts/sun4v/bootdev/Makefile	Thu Aug  8 11:25:10 2019
@@ -66,7 +66,7 @@
 #
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4v/dr_io/Makefile	Thu Aug  8 11:25:11 2019
+++ new/usr/src/uts/sun4v/dr_io/Makefile	Thu Aug  8 11:25:11 2019
@@ -55,7 +55,7 @@
 #
 CFLAGS		+= $(CCVERBOSE)
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # Turn on doubleword alignment for 64 bit registers
--- old/usr/src/uts/sun4v/ds/Makefile	Thu Aug  8 11:25:11 2019
+++ new/usr/src/uts/sun4v/ds/Makefile	Thu Aug  8 11:25:11 2019
@@ -77,7 +77,7 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # Default build targets.
--- old/usr/src/uts/sun4v/ds_pri/Makefile	Thu Aug  8 11:25:12 2019
+++ new/usr/src/uts/sun4v/ds_pri/Makefile	Thu Aug  8 11:25:12 2019
@@ -67,7 +67,7 @@
 # lint pass one enforcement
 #
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 # Module Dependencies
--- old/usr/src/uts/sun4v/ebus/Makefile	Thu Aug  8 11:25:12 2019
+++ new/usr/src/uts/sun4v/ebus/Makefile	Thu Aug  8 11:25:12 2019
@@ -76,7 +76,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4v/genunix/Makefile	Thu Aug  8 11:25:13 2019
+++ new/usr/src/uts/sun4v/genunix/Makefile	Thu Aug  8 11:25:13 2019
@@ -125,7 +125,7 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-type-limits
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-clobbered
 CERRWARN	+= -_gcc=-Wno-empty-body
 
--- old/usr/src/uts/sun4v/ldc/Makefile	Thu Aug  8 11:25:14 2019
+++ new/usr/src/uts/sun4v/ldc/Makefile	Thu Aug  8 11:25:14 2019
@@ -78,7 +78,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 LINTTAGS        += -erroff=E_PTRDIFF_OVERFLOW
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 #
--- old/usr/src/uts/sun4v/n2rng/Makefile	Thu Aug  8 11:25:14 2019
+++ new/usr/src/uts/sun4v/n2rng/Makefile	Thu Aug  8 11:25:14 2019
@@ -68,7 +68,7 @@
 #
 CFLAGS += $(CCVERBOSE) -DN2 -I$(COM_DIR)
 LINTFLAGS += -DN2 -I$(COM_DIR)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 # module dependencies
--- old/usr/src/uts/sun4v/niumx/Makefile	Thu Aug  8 11:25:15 2019
+++ new/usr/src/uts/sun4v/niumx/Makefile	Thu Aug  8 11:25:15 2019
@@ -64,7 +64,7 @@
 #
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 # Turn on doubleword alignment for 64 bit registers
--- old/usr/src/uts/sun4v/nxge/Makefile	Thu Aug  8 11:25:16 2019
+++ new/usr/src/uts/sun4v/nxge/Makefile	Thu Aug  8 11:25:16 2019
@@ -115,7 +115,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 
 #
--- old/usr/src/uts/sun4v/ontario/tsalarm/Makefile	Thu Aug  8 11:25:18 2019
+++ new/usr/src/uts/sun4v/ontario/tsalarm/Makefile	Thu Aug  8 11:25:19 2019
@@ -86,7 +86,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4v/pcie/Makefile	Thu Aug  8 11:25:22 2019
+++ new/usr/src/uts/sun4v/pcie/Makefile	Thu Aug  8 11:25:22 2019
@@ -63,7 +63,7 @@
 #
 LDFLAGS += -dy -Nmisc/busra
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-value
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-type-limits
--- old/usr/src/uts/sun4v/platsvc/Makefile	Thu Aug  8 11:25:24 2019
+++ new/usr/src/uts/sun4v/platsvc/Makefile	Thu Aug  8 11:25:24 2019
@@ -56,7 +56,7 @@
 # lint pass one enforcement
 #
 CFLAGS		+= $(CCVERBOSE)
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # Turn on doubleword alignment for 64 bit registers
--- old/usr/src/uts/sun4v/px/Makefile	Thu Aug  8 11:25:25 2019
+++ new/usr/src/uts/sun4v/px/Makefile	Thu Aug  8 11:25:25 2019
@@ -88,7 +88,7 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-clobbered
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-label
--- old/usr/src/uts/sun4v/rootnex/Makefile	Thu Aug  8 11:25:25 2019
+++ new/usr/src/uts/sun4v/rootnex/Makefile	Thu Aug  8 11:25:25 2019
@@ -70,7 +70,7 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # For now, disable these lint checks; maintainers should endeavor
--- old/usr/src/uts/sun4v/su/Makefile	Thu Aug  8 11:25:26 2019
+++ new/usr/src/uts/sun4v/su/Makefile	Thu Aug  8 11:25:26 2019
@@ -70,7 +70,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4v/unix/Makefile	Thu Aug  8 11:25:26 2019
+++ new/usr/src/uts/sun4v/unix/Makefile	Thu Aug  8 11:25:26 2019
@@ -120,7 +120,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-char-subscripts
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
--- old/usr/src/uts/sun4v/vcc/Makefile	Thu Aug  8 11:25:27 2019
+++ new/usr/src/uts/sun4v/vcc/Makefile	Thu Aug  8 11:25:27 2019
@@ -70,7 +70,7 @@
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-type-limits
 CERRWARN += -_gcc=-Wno-unused-function
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 # compiler failes with not reached statements
--- old/usr/src/uts/sun4v/vdc/Makefile	Thu Aug  8 11:25:27 2019
+++ new/usr/src/uts/sun4v/vdc/Makefile	Thu Aug  8 11:25:27 2019
@@ -66,7 +66,7 @@
 CFLAGS += -D_EXTVTOC
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 LDFLAGS += -dy -Nmisc/ldc -Nmisc/platsvc -Nmisc/scsi
 
--- old/usr/src/uts/sun4v/vds/Makefile	Thu Aug  8 11:25:27 2019
+++ new/usr/src/uts/sun4v/vds/Makefile	Thu Aug  8 11:25:27 2019
@@ -65,7 +65,7 @@
 CFLAGS += $(CCVERBOSE)
 CFLAGS += -D_EXTVTOC
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 # module dependencies
--- old/usr/src/uts/sun4v/vis/Makefile	Thu Aug  8 11:25:28 2019
+++ new/usr/src/uts/sun4v/vis/Makefile	Thu Aug  8 11:25:28 2019
@@ -61,7 +61,7 @@
 # lint pass one enforcement
 #
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/uts/sun4v/vnet/Makefile	Thu Aug  8 11:25:28 2019
+++ new/usr/src/uts/sun4v/vnet/Makefile	Thu Aug  8 11:25:28 2019
@@ -92,7 +92,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/sun4v/vsw/Makefile	Thu Aug  8 11:25:29 2019
+++ new/usr/src/uts/sun4v/vsw/Makefile	Thu Aug  8 11:25:29 2019
@@ -88,7 +88,7 @@
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-clobbered
 CERRWARN	+= -_gcc=-Wno-unused-variable
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-label
 
